Imports IntraSell_DLL
Imports IntraSell_Net_Base

Public Class Land
    Inherits AbstractForm

    Private Sub Form_Verlassen() Handles MyBase.Verlassen
        Me.Close()
    End Sub

    Private Sub GrlandBindingNavigatorSaveItem_Click(sender As Object, e As System.EventArgs) Handles MyBase.Save
        Try
            Validate()
            GrlandBindingSource.EndEdit()
            TableAdapterManager.UpdateAll(DsPLZ)


        Catch ex As Exception
            HandleAppError(ex)
        End Try
    End Sub

    Private Sub Land_Load(sender As Object, e As System.EventArgs) Handles MyBase.Load
        Try
            GrlandTableAdapter.Fill(DsPLZ.grland)
            ds = DsPLZ
            ParentBindingNavigator.BindingSource = GrlandBindingSource
            AddHandler GrlandDataGridView.DataError, AddressOf GrlandDataGridView_DataError
        Catch ex As Exception
            HandleAppError(ex)
        End Try
    End Sub

    Private Sub GrlandDataGridView_DataError(sender As Object, e As DataGridViewDataErrorEventArgs)
    End Sub
End Class